Loading...

How to download and install BFX 2.2 or Conversion Pack 2.0

25,290 views

Loading...

Loading...

Loading...

Rating is available when the video has been rented.
This feature is not available right now. Please try again later.
Published on Mar 4, 2009

READ DESCRIPTION AND DON'T MIND THE VIDEO!!!!


If you want BFX you need the Convopack.
You'll need unofficial patch 1.3, which is installed with the Conversion Pack.
Converison pack 2.0 is needed to play ALL levels with BFX eras.

If you want this mod, here's what you do:
1. Make sure you have the 1.1 patch (otherwise the auto installers won't work)
2. Download and install Conversion Pack 2.0 (to make BFX 2.2 work fully functional)
3. Download and install Conversion Pack Patch (2.2) (optional, but reccomended)
4. Download and install BFX 2.2
5. Run the game, and enjoy the mods!

V 1.1 patch:
http://starwarsbattlefront.filefront....

Download link for Conversion Pack 2.0:
http://starwarsbattlefront.filefront....

Conversion Pack Patch (2.2):
http://starwarsbattlefront.filefront....

BFX 2.2 download link:
http://starwarsbattlefront.filefront....

Loading...

When autoplay is enabled, a suggested video will automatically play next.

Up next


to add this to Watch Later

Add to

Loading playlists...